#include <GConsoleLib.h>
#include <stdio.h>

int main() {
	gcls();
	gfront();

	gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-1.png", 80, 160);
	gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-2.png", 240, 190);
	gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-3.png", 390, 160);
	glocate(10, 4);
	gprintf("誰をお供にしますか（犬=D、サル=M、キジ=P）？");
	//入力
	char moji;
	moji = ggetchar();
	//結果表示
	gcls();
	glocate(20, 4);
	switch (moji){
	case 'd':
	case 'D':
		gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-1.png", 240, 160);
		gprintf("犬がお供になりました！");
		break;
	case 'm':
	case 'M':
		gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-2.png", 240, 160);
		gprintf("サルがお供になりました！");
		break;
	case 'p':
	case 'P':
		gimage("C:\\GConsole追加ファイル\\sampleimg\\chap3-2-3.png", 240, 160);
		gprintf("キジがお供になりました！");
		break;
	default:
		gprintf("誰もお供になりませんでした");
	}
}